%define api 5
%define major 1
%define libname %mklibname musicbrainz %api %{major}
%define develname %mklibname -d musicbrainz %api

Name:		libmusicbrainz5
Version:	5.1.0
Release:	%mkrel 2
Summary:	A software library for accessing MusicBrainz servers
Source0:	https://github.com/metabrainz/libmusicbrainz/archive/libmusicbrainz-%{version}.tar.xz
URL:		http://musicbrainz.org/doc/libmusicbrainz
Group:		Sound
License:	LGPLv2+
BuildRequires:  cmake
BuildRequires:  libneon-devel

%description
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package -n %{libname}
Summary:	A software library for accessing MusicBrainz servers
Group:		System/Libraries

%description -n %{libname}
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package -n %develname
Summary:	Headers for developing programs that will use libmusicbrainz
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%develname
This package contains the headers that programmers will need to develop
applications which will use libmusicbrainz.

%prep
%setup -qn libmusicbrainz-release-%{version}

%build
%setup_compile_flags
cmake -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \


%make

%install
rm -rf %buildroot
%makeinstall_std

%files -n %{libname}
%doc AUTHORS.txt COPYING.txt NEWS.txt
%{_libdir}/libmusicbrainz%{api}.so.%{major}*

%files -n %develname
%{_includedir}/musicbrainz%{api}
%{_libdir}/*.so
%{_libdir}/pkgconfig/libmusicbrainz%{api}.pc


%changelog
* Sun Nov 04 2018 adrianomorselli <adrianomorselli> 5.1.0-2uplos2018
- rebuild against updates
